/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140926-64 [Oct 24 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Disassembly of iASLQOOC8z.aml, Sun Nov 22 09:50:28 2015
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000002DA (730)
 *     Revision         0x01
 *     Checksum         0xCD
 *     OEM ID           "sample"
 *     OEM Table ID     "USBFix"
 *     OEM Revision     0x00003000 (12288)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20140926 (538183974)
 */
DefinitionBlock ("SSDT-USB.aml", "SSDT", 1, "sample", "USBFix", 0x00003000)
{
    // "USBInjectAllConfiguration" : override settings for USBInjectAll.kext
    Device (UIAC)
    {
        Name (_HID, "UIA00000")
        // "RehabManConFiguration"
        Name (RMCF, Package ()
        {
            // XHC overrides for 300-series boards
            "8086_a2af", Package()
            {
                "port-count", Buffer() { 0x16, 0, 0, 0}, // Highest port number is SS06 at 0x16
                "ports", Package()
                {   "HS01", Package() // USB2 under PS2 top, port <01 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x01, 0, 0, 0 },
                    },
                    "HS02", Package() // USB2 under PS2 bottom, port <02 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x02, 0, 0, 0 },
                    },
                    "HS03", Package() // USB2 #1 from USB3 motherboard header, port <03 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x03, 0, 0, 0 },
                    },
                    "HS04", Package() // USB2 #2 from USB3 motherboard header, port <04 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x04, 0, 0, 0 },
                    },
                    "HS05", Package() // USB2 under ethernet top, port <05 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x05, 0, 0, 0 },
                    },
                    "HS06", Package() // USB2 under ethernet bottom, port <06 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x06, 0, 0, 0 },
                    },                   
                    "HS07", Package() // USB2 to right of DisplayPort, port <07 00 00 00>
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x07, 0, 0, 0 },
                    },  
                    "HS09", Package() // USB2 to right of HDMI, port <09 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x09, 0, 0, 0 },
                    },
                    "HS10", Package() // USB2 to right of HDMI, port <0a 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x0a, 0, 0, 0 },
                    },
                    "HS11", Package() // USB2 #1 on USB2 motherboard header 2, port <0b 00 00 00>
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x0b, 0, 0, 0 },
                    },
                    "HS12", Package() // USB2 #2 on USB2 motherboard header 2, port<0c 00 00 00>
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x0c, 0, 0, 0 },
                    },
                    "HS13", Package() // USB2 #1 on USB2 motherboard header 3, port <0d 00 00 00>
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x0d, 0, 0, 0 },
                    },
                    "HS14", Package() // USB2 #2 on USB2 motherboard header 3 Internal Bluetooth, port<0e 00 00 00>
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 0x0e, 0, 0, 0 },
                    },
                    "SS01", Package() // USB3 under PS2 top, port <11 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x11, 0, 0, 0 },
                    },
                    "SS02", Package() // USB3 under PS2 bottom, port <12 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x12, 0, 0, 0 },
                    },
                    "SS03", Package() // USB3 from USB3 motherboard header, port <13 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x13, 0, 0, 0 },
                    },
                    "SS04", Package() // USB3 from USB3 motherboard header, port <14 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x14, 0, 0, 0 },
                    },
                    "SS05", Package() // USB3 below ethernet top, port <15 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x15, 0, 0, 0 },
                    },    
                    "SS06", Package() // USB3 #2 below ethernet bottom, port <16 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x16, 0, 0, 0 },
                    },
                    "USR1", Package()
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x0f, 0, 0, 0 },
                    },
                    "USR2", Package()
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x10, 0, 0, 0 },
                    }, 
                }
            }
        })
    }
}

